QCA::AbstractLogDevice Class Referenceabstract
QCA user API

`#include <QtCrypto>`

Collaboration diagram for QCA::AbstractLogDevice:
[legend]

## Public Member Functions

virtual void | logBinaryMessage (const QByteArray &blob, Logger::Severity severity)
virtual void | logTextMessage (const QString &message, Logger::Severity severity)
QString | name () const

## Protected Member Functions

| AbstractLogDevice (const QString &name, QObject *parent=nullptr)

## Detailed Description

An abstract log device.

## Constructor & Destructor Documentation

## AbstractLogDevice()

QCA::AbstractLogDevice::AbstractLogDevice | ( | const QString & | name,
|  | QObject * | parent = nullptr )

explicit protected

Create a new message logger.

Parameters

  name | the name of this log device
  parent | the parent for this logger

References AbstractLogDevice(), and name().

Referenced by AbstractLogDevice().

## Member Function Documentation

## name()

QString QCA::AbstractLogDevice::name | ( |  | ) | const

The name of this log device.

Referenced by AbstractLogDevice().

## logTextMessage()

virtual void QCA::AbstractLogDevice::logTextMessage | ( | const QString & | message,
|  | Logger::Severity | severity )

virtual

Log a message.

The default implementation does nothing - you should override this method in your subclass to do whatever logging is required

Parameters

  message | the message to log
  severity | the severity level of the message

## logBinaryMessage()

virtual void QCA::AbstractLogDevice::logBinaryMessage | ( | const QByteArray & | blob,
|  | Logger::Severity | severity )

virtual

Log a binary blob.

The default implementation does nothing - you should override this method in your subclass to do whatever logging is required

Parameters

  blob | the message (as a byte array) to log
  severity | the severity level of the message

The documentation for this class was generated from the following file:

- qca_support.h